package rpgEngine.Data.Abstract.NPC;

public class ScriptItem {
	private Integer type;
	private String argument1;
	private String argument2;
	
	public static final Integer TYPE_STOP_IF = 0;
	public static final Integer TYPE_TEXT = 1;
	public static final Integer TYPE_GIVE_ITEM = 2;
	public static final Integer TYPE_SET_VARIABLE = 3;
	public static final Integer TYPE_SHOW_SHOP = 4;
	public static final Integer TYPE_GIVE_GOLD = 5;
	public static final Integer TYPE_GIVE_EXPERIENCE = 6;
	public static final Integer TYPE_GIVE_CHARACTER_WITH_EXP = 7; 
	public static final Integer TYPE_BATTLE = 8;
		
	public ScriptItem(Integer t, String a1, String a2) {
		type = t;
		argument1 = a1;
		argument2 = a2;
	}
	

	public Integer getType() {
		return type;
	}


	public String getArgument1() {
		return argument1;
	}


	public String getArgument2() {
		return argument2;
	}
	
	
}
